#define IS_NONE 0
#define IS_XBMDONE 1            /* Only need one mono image */
#define IS_XBM 2
#define IS_XBMFILE 3
#define IS_XPM 4
#define IS_XPMFILE 5
/* These are not here but can be stolen from xlock later. */
#define IS_RASTERFILE 6
#define IS_MAGICKFILE 7

extern Bool fixedColors(Visual *visual, int depth, Bool install);
extern Bool getImage(Display *display, Window window, Visual *visual,
	Colormap colormap, int depth, XImage ** picture, char *filename,
	Bool install, int *graphicsFormat, Colormap *ncm);
extern void destroyImage(XImage **picture, int *graphicsFormat);
